# QCursor Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QCursor()
- void QCursor(CursorShape shape)
- void QCursor(QBitmap bitmap, QBitmap mask, int hotX, int hotY)
- void QCursor(QCursor cursor)
- void QCursor(QPixmap pixmap, int hotX, int hotY)

### Constructor Properties

- prototype: The QCursor prototype object
- QPoint pos()
- void setPos(QPoint p)

### Prototype Object Properties

- QBitmap bitmap()
- QPoint hotSpot()
- QBitmap mask()
- QPixmap pixmap()
- void readFrom(QDataStream inS)
- void setShape(CursorShape newShape)
- CursorShape shape()
- void writeTo(QDataStream outS)

### Instance Properties

QCursor objects have no special properties beyond those inherited from the QCursor prototype object.